Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class Rate3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.Rate3

    public class Rate3
    extends java.lang.Object

Java class for Rate3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Rate3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}RateType4Choice"/>
             <element name="VldtyRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CurrencyAndAmountRange2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected RateType4Choice` `tp`
`protected CurrencyAndAmountRange2` `vldtyRg`

### Constructor Summary

Constructors
`Rate3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RateType4Choice` `getTp()` Gets the value of the tp property.
`CurrencyAndAmountRange2` `getVldtyRg()` Gets the value of the vldtyRg property.
`void` `setTp​(RateType4Choice value)` Sets the value of the tp property.
`void` `setVldtyRg​(CurrencyAndAmountRange2 value)` Sets the value of the vldtyRg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected RateType4Choice tp

#### vldtyRg

    protected CurrencyAndAmountRange2 vldtyRg

### Constructor Detail

#### Rate3

    public Rate3()

### Method Detail

#### getTp

    public RateType4Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `RateType4Choice`

#### setTp

    public void setTp​(RateType4Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `RateType4Choice`

#### getVldtyRg

    public CurrencyAndAmountRange2 getVldtyRg()

Gets the value of the vldtyRg property.

Returns:
  possible object is `CurrencyAndAmountRange2`

#### setVldtyRg

    public void setVldtyRg​(CurrencyAndAmountRange2 value)

Sets the value of the vldtyRg property.

Parameters:
  `value` - allowed object is `CurrencyAndAmountRange2`